<?php

/**
 * Implements hook_twbs_navbar_view_alter().
 */
function devel_twbs_navbar_view_alter(&$build) {
  $links = array();

  $tree = menu_build_tree('devel');
  $items = menu_tree_output($tree);
  foreach ($items as $item) {
    if (isset($item['#title']) && isset($item['#href'])) {
      $links[] = array(
        'title' => $item['#title'],
        'href' => $item['#href'],
      );
    }
  }

  if ($links) {
    $build['navbar']['devel'][] = array(
      '#theme' => 'link',
      '#text' => '<i class="fa fa-cogs fa-fw"></i> ' . t('Devel') . ' <b class="caret"></b>',
      '#path' => '#',
      '#options' => array(
        'html' => TRUE,
        'attributes' => array(
          'class' => 'dropdown-toggle',
          'data-toggle' => 'dropdown',
        ),
      ),
    );
    $build['navbar']['devel'][] = array(
      '#theme' => 'links',
      '#links' => $links,
      '#attributes' => array(
        'class' => 'dropdown-menu',
      ),
    );
  }
}
